> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Merchant Accounts

> Get all merchant accounts for the tenant.



## OpenAPI

````yaml get /billing/merchant_accounts
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/merchant_accounts:
    get:
      tags:
        - provider
        - billing
      summary: List Merchant Accounts
      description: Get all merchant accounts for the tenant.
      operationId: list_merchant_accounts_billing_merchant_accounts_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MerchantAccount'
                type: array
                title: Response List Merchant Accounts Billing Merchant Accounts Get
components:
  schemas:
    MerchantAccount:
      properties:
        id:
          type: string
          title: Id
          description: The rainforest merchant account ID
        name:
          type: string
          title: Name
          description: Friendly name for the merchant account
        isDefault:
          type: boolean
          title: Isdefault
          description: Whether this is the default merchant account for the tenant
        cardProcessingFee:
          type: number
          title: Cardprocessingfee
          description: Card processing fee
        perTransactionFee:
          type: integer
          title: Pertransactionfee
          description: Per transaction fee
        inPersonCardProcessingFee:
          type: number
          title: Inpersoncardprocessingfee
          description: In-person card processing fee
        inPersonPerTransactionFee:
          type: integer
          title: Inpersonpertransactionfee
          description: In-person per transaction fee
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time the merchant account was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: The date and time the merchant account was last updated
        locations:
          anyOf:
            - items:
                $ref: '#/components/schemas/LocationSummary'
              type: array
            - type: 'null'
          title: Locations
          description: The locations associated with the merchant account
      type: object
      required:
        - id
        - name
        - isDefault
        - cardProcessingFee
        - perTransactionFee
        - inPersonCardProcessingFee
        - inPersonPerTransactionFee
        - createdDate
      title: MerchantAccount
      description: Basic merchant account information.
    LocationSummary:
      properties:
        id:
          type: string
          title: Id
        isVirtual:
          type: boolean
          title: Isvirtual
        name:
          type: string
          title: Name
        addressLineOne:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslineone
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        spakinectLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Spakinectlocationid
      type: object
      required:
        - id
        - isVirtual
        - name
      title: LocationSummary

````